import { Logger } from './logger';
import { Level } from './level';
export declare class Log {
    private constructor();
    private static _instance;
    private static get instance();
    static Logger: (typeof Logger);
    static create(name: string, ...level: Level[]): Logger;
    private _logOnly;
    private _logModules;
    private isDevelopmentMode;
    private modeIsSet;
    private fixedWidth;
    private instances;
    private levels;
    private modules;
    setProductionMode(): void;
    onlyModules(...modules: (string | RegExp)[]): void;
    onlyLevel(...level: Level[]): void;
    private create;
    private isMutedModule;
    private muteAllOtherModules;
}
